/*$.ajaxPrefilter( function( options ) {
  if ( options.firefoxOS ) {
    options.xhr = function() {
      return new window.XMLHttpRequest( {
        mozSystem: true
      } );
    }
  }
} );
$.ajaxSetup( {
  firefoxOS: true
} );*/

$.ajaxSetup({
  mozSystem: true,
  async: true,
    xhrFields: {
       withCredentials: true
    },
    crossDomain: true
});